Page MenuHomePhabricator

test-release.sh s/http/https/
AbandonedPublic

Authored by bcain on Oct 9 2019, 4:36 PM.

Details

Reviewers
hans
rovka
ro
dim
Summary

This will be more effective at preserving release integrity but
as a practical matter will also circumvent hiccups when http proxies
reject some content.

Diff Detail

Event Timeline

bcain created this revision.Oct 9 2019, 4:36 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 9 2019, 4:36 PM
Herald added a subscriber: dmgreen. · View Herald Transcript
ro added a comment.Oct 9 2019, 10:58 PM

Is there any point doing this now when the switch to git is imminent?

hans accepted this revision.Oct 10 2019, 12:27 AM

Thanks! Would you like to do the same in llvm/utils/release/build_llvm_package.bat too?

In D68741#1703014, @ro wrote:

Is there any point doing this now when the switch to git is imminent?

It doesn't hurt in any case.

This revision is now accepted and ready to land.Oct 10 2019, 12:27 AM
bcain added a comment.Oct 10 2019, 8:27 AM
In D68741#1703014, @ro wrote:

Is there any point doing this now when the switch to git is imminent?

I guess it depends on whether fix releases will also use git as the master.

BTW is anyone working on updating test-release.sh to use git instead?

hans added a comment.Oct 10 2019, 8:33 AM

BTW is anyone working on updating test-release.sh to use git instead?

Not that I know. If nobody does it before then, I was planning to look into it when the 10.0.0 process starts. If you're interested and have time, go for it :-)

dim added a comment.Dec 15 2019, 3:34 AM

We should abandon this, for e.g. 9.0.1 the whole Base_url variable has become unused. :)

bcain abandoned this revision.Jul 16 2020, 3:06 PM